<template>
  <div class="home">
    <Search @setcontrats="setContrats"/>
    <Result v-model:resultats="contrats.value" />
  </div>
</template>

<script>
import { ref } from "vue";

import Search from "@/components/Search.vue";
import Result from "@/components/Result.vue";


export default {
  name: "Contrats",
  components: {
    Search,
    Result
  },
  setup() {
    const contrats = ref([]);

    function setContrats(contratslist) {
      contrats.value = contratslist;
    }
    return {
      setContrats,
      contrats,
    };
  },
};
</script>
